/*
GERAL
*/

@import url('css/sora.css');

*, ::before, ::after{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    tap-highlight-color: rgba(0, 0, 0, 0);
    text-size-adjust: none;
    -webkit-text-size-adjust: none;
}

/* TRANSIÇÃO ENTRE ID'S SUAVES*/

html{
    scroll-behavior: smooth;
}

body{
    font-family: 'Sora', sans-serif;
    font-weight: 300;
    font-size: 16px;
    line-height: 24px;
    color: #001C4B;
    background-color: #E6EDF8;
}

.container{
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    padding-left: 16px;
    padding-right: 16px;
}

.titulosecao{
    font-size: 48px;
    font-weight: 900;
    line-height: 56px;
    margin-top: calc(120px - 12px);
    margin-bottom: calc(48px - 11px);
    color: #001C4B;
    text-align: center;
}

img, pictures, video, canvas, svg {
    display: block;
    max-width: 100%;
    user-select: none;
}

ul{
    list-style: none;
}

a{
    text-decoration: none;
}

.btn__secundario{
    background-color: #0047BB;
    color: #fff;
    font-weight: 900;
    padding: 24px;
    border-radius: 8px;
    margin-top: 404px;
}

.btn__primario{
    background-color: #FA4616;
    color: #fff;
    font-weight: 900;
    padding: 24px;
    border-radius: 8px;
    margin-top: 32px;
}

/*
HEADER
*/

.header{
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    background-color: #0047BB;
    padding-top: 24px;
    padding-bottom: 24px;
    z-index: 2;
}

.header__fechado{
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #0047BB;
    padding: 0;
    z-index: 2;
    width: 100%;
}

.header__logo{
    height: 36px;
}

.header__menu{
    cursor: pointer;
}

.header__aberto{
    position: fixed;
    top: 0px;
    right: -100%;
    background-color: #0047BB;
    height: 100vh;
    width: 100%;
    transition: .6s ease-in-out;
    z-index: 3;
    box-shadow: 8px 8px 32px rgba(0, 0, 0, 0.8);
}

.header__fechar{
    cursor: pointer;
    position: absolute;
    top: 30px;
    right: 18px;
    z-index: 1;
}

.header__aberto--ativado{
    display: block;
    right: 0;
}

.header__lista{
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 40px;
}

.header__link{
    color: #fff;
}

/*
HERO
*/

.hero{
    text-align: center;
    height: 100vh;
    min-height: 800px;
    max-height: 960px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: #0047BB;
}

.hero__conteudo{
    display: flex;
    flex-direction: column;
    align-items: center;
    z-index: 1
}

.hero__bg{
    position: absolute;
    top: 0;
    right: 0;
    background-image: url(../img/bg/bg.jpg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    width: 100%;
    height: 100vh;
    min-height: 800px;
    max-height: 960px;
    z-index: 0
}

.hero__titulo{
    font-size: 48px;
    max-width: 16ch;
    color: #fff;
    line-height: 56px;
    margin-bottom: -12px;
    margin-top: 75px;
    margin-left: auto;
    margin-right: auto;
}

.hero__descricao{
    margin-top: 16px;
    color: #fff;
    margin-bottom: -7px;
    line-height: 24px;
    max-width: 34ch;
    margin-left: auto;
    margin-right: auto;
}

.hero__cta{
    display: inline-block;
    background-color: #FA4616;
    color: #fff;
    font-weight: 900;
    padding: 24px;
    border-radius: 8px;
    margin-top: 32px;
}

/*
CLIENTES
*/

.clientes__lista{
    padding-top: 120px;
    padding-bottom: 120px;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: -1000;
}

.clientes__logo {
    height: 104px;
}

/*
SOBRE
*/

.sobre{
    background-color: #CCDAF1;
    padding-top: 120px;
    padding-bottom: 120px;
}

.sobre__conteudo{
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.sobre__titulo{
    color: #CCDAF1;
    font-size: 16px;
    font-weight: 900;
    padding: 18px;
    background-color: #001C4B;
    border-radius: 40px;
    margin-bottom: -2px;
}

.sobre__descricao{
    font-size: 32px;
    margin-top: 32px;
    font-weight: 400;
    color: #001C4B;
    max-width: 42ch;
    line-height: 48px
}

.sobre__destaque{
    color: #FA4616;
}

.sobre__linha{
    color: black;
    width: 200px;
    border-color: #001C4B;
    margin-top: 48px;
    margin-bottom: 48px;
}

.sobre__logo{
    height: 64px;
}

.sobre__detalhe{
    width: 24ch;
    color: #001C4B;
}

/*
SERVIÇOS
*/

.servicos{
    margin-top: 120px;
    text-align: center;
}

.servicos__imagem{
    border-radius: 24px;
    margin-bottom: -8px;
}

.servicos__titulo{
    margin-top: 48px;
}

.servicos__lista{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 48px;
    margin-top: 48px;
}

.servicos__servico{
    font-size: 24px;
    font-weight: 900;
    color: #001C4B;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 16px;
    margin-bottom: -4px;
}

.servicos__icone{
    height: 40px;
}

.servicos__nome{
    font-weight: 900;
}

.servicos__descricao{
    max-width: 29ch;
    margin-top: 16px;
}

/*
EQUIPE
*/

.equipe{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.equipe__item{
    text-align: center;
    position: relative;
}

.equipe__foto{
    border-radius: 24px;
}

.equipe__detalhes{
    width: 100%;
    height: 100%;
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    padding: 32px;
    background: linear-gradient(0deg, rgba(0,0,0,1) 0%, rgba(255,255,255,0) 60%);
    border-radius: 24px;
    color: #fff;
}

.equipe__nome{
    font-size: 32px;
    margin-bottom: 12px;
}

.equipe__cargo{
    margin-bottom: -6px;
    margin-top: -4px;
}

.owl-dots{
    text-align: center;
    display: flex;
    gap: 8px;
    justify-content: center;
    margin-top: 16px;
}

.owl-dot{
    display: inline-block;
    width: 16px;
    height: 16px;
    border-radius: 50%;
    background-color: #ccdaf1 !important;
    border: 1px solid #b3c8eb !important;
}

.owl-dot.active{
    background-color: #0047BB !important;
    border: none !important;
}

/*
BENEFICIOS
*/

.beneficios__lista{
    text-align: center;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: baseline;
    gap: 48px
}

.beneficio__icone{
    width: 100%;
    height: 40px;
}

.beneficio__nome{
    font-size: 24px;
    font-weight: 900;
    margin-top: 16px;
    margin-bottom: -6px;
}

.beneficio__descricao{
    margin-top: 12px;
    max-width: 27ch
}

#descricao__garantia{
    max-width: 24ch;
}

#descricao__pagamento{
    max-width: 28ch
}

/*
DEPOIMENOS
*/

.depoimentos__card{
    background-color: #CCDAF1;
    padding: 32px;
    border-radius: 16px;
    display: flex;
    flex-wrap: wrap;
}

.depoimentos__icone{
    margin-bottom: -4px;
    width: 40px !important;
    display: block !important;
}

.depoimentos__texto{
    margin-top: 24px;
    font-style: italic;
    font-weight: 500;
    margin-bottom: calc(24px - 10px);
}

.depoimentos__nome{
    font-weight: 900;
    width: 100%
}

.depoimentos__cargo{
    font-weight: 400;
}

/*
CTA
*/

.cta{
    background-color: #CCDAF1;
    padding-top: 160px;
    padding-bottom: 160px;
    text-align: center;
    margin-top: 120px;
}

.cta__subtitulo{
    margin-bottom: -14px;
}

.cta__titulo{
    font-size: 40px;
    font-weight: 900;
    line-height: 48px;
    margin-bottom: calc(32px + 14px);
    margin-top: 16px;
    max-width: 20ch;
    margin-left: auto;
    margin-right: auto;
}

/*
FAQ
*/

.perguntasfrequentes__lista{
    display: flex;
    flex-direction: column;
}

.perguntasfrequentes__pergunta__container{
    padding: 32px;
    border-bottom: 1px solid #b3c8eb;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 16px;
    cursor: pointer;
    transition: 0.4s ease-out;
}

.perguntasfrequentes__pergunta{
    font-size: 16px;
    font-weight: 400;
}

.perguntasfrequentes__pergunta__container:hover{
    background-color: #b3c8eb;
    color: #0047BB;
}

.perguntasfrequentes__pergunta__container--ativo{
    background-color: #b3c8eb;
    color: #0047BB;
}

.perguntasfrequentes__icone{  
    transition: 0.4s;
}

.perguntasfrequentes__icone--ativado{
    transform: rotate(180deg);
}

.perguntasfrequentes__resposta__container{
    background-color: #ccdaf1;
    width: 100%;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.4s ease-out;
}

.perguntasfrequentes__resposta{
    padding: 32px;
}

/*
RODAPE
*/

.rodape{
    background-color: #0047BB;
    text-align: center;
    margin-top: 120px;
    padding-top: 120px;
}

.rodape__conteudo{
    display: flex;
    flex-direction: column;
    gap: 120px;
}

.rodape__lista{
    display: flex;
    flex-wrap: wrap;
    gap: 64px;
}

.rodape__item{
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    flex-wrap: wrap;
}

.rodape__secao{
    color: #fff;
    font-size: 16px;
    font-weight: 900;
    margin-bottom: calc(32px - 10px);
}

.rodape__link{
    color: #fff;
    margin-bottom: calc(16px - 10px);
    font-weight: 300;
}

.redesosocial__icone{
    display: flex;
    gap: 16px;
}

.rodape__icone{
    height: 32px;
}

.rodape__logo{
    width: 100%;
}

.rodape__credito{
    background-color: #FA4616;
    padding-top: 16px;
    padding-bottom: 16px;
    color: #fff;
    font-weight: 300;
    margin-top: 120px;
}

.rodape__site{
    color: #fff;
}


/*768px BREAKING POINT*/
@media (min-width: 768px){
 
    /*
    GERAL
    */
    
    .container{
        max-width: 768px;
    }
    
    /*
    HEADER
    */

    .header__aberto{
        width: 50%;
    }
    
    .header__fechar{
        right: 32px;
    }

    /*
    HERO
    */

    .hero{
        max-height: 1024px;
    }
    
    .hero__titulo{
        max-width: 14ch;
        font-size: 56px;
        line-height: 64px;
    }
    
    /*
    SOBRE
    */
    
    .sobre__linha{
        width: 400px;
    }

    /*
    SERVIÇOS
    */

    .servicos__lista{
        gap: 32px;
    }

    .servicos__descricao{
        max-width: 368px;
    }
    
    .servicos__descricao{
        max-width: 28ch
    }
    
    /*
    BENEFICIOS
    */

    .beneficios__lista{
        gap: 32px
    }
    
    .beneficios__item{
        width: 28ch;
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    
    /*
    CTA
    */
    
    .cta__titulo{
        font-size: 48px;
        line-height: 56px;
    }

    /*
    RODAPE
    */

    .rodape__lista{
        justify-content: center;
        gap: 104px
            
    }

    .rodape__item{
        width: 180px;
    }    
    
    .rodape__link{
        white-space: nowrap;
    }
    
}

/*1200px BREAKING POINT*/
@media (min-width: 1200px){
 
    /*
    GERAL
    */
    
    .container{
        max-width: 1200px;
        padding-left: 32px;
        padding-right: 32px;
    }

    .titulosecao{
        font-size: 56px;
        line-height: 64px;
        margin-top: 160px;
    }
    
    /*
    HEADER
    */
    
    .header{
        padding-top: 24px;
        padding-bottom: 24px;
        box-shadow: 4px 4px 16px rgba(0, 0, 0, 0.2);
    }

    .header__conteudo{
        display: flex;
        align-items: center;
        justify-content: space-between;
    }
    
    .header__fechado{
        width: auto;
    }

    .header__logo{
        height: 44px;
    }
    
    .header__menu{
        display: none;
    }

    .header__aberto{
        position: static;
        background-color: none;
        height: auto;
        width: auto;
        transition: none;
        box-shadow: none;
    }

    .header__fechar{
        display: none;
    }

    .header__lista{
        height: auto;
        flex-direction: row;
        gap: 48px;
    }
    
    /*
    HERO
    */

    .hero{
        text-align: start;
        min-height: 720px;
        max-height: 880px;
        align-items: flex-start;
    }
    
    .hero__bg{
        background-position: right center;
        clip-path: inset(0 0 0 56%);
        min-height: 720px;
        max-height: 880px;
    }
    
    .hero__conteudo{
        align-items: flex-start;
    }

    .hero__titulo{
        font-size: 56px;
        max-width: 13.7ch;
        line-height: 64px;
        margin-bottom: -2px;
        margin-top: 100px;
        margin-left: 0;
    }

    .hero__descricao{
        margin-bottom: -5px;
        line-height: 24px;
        max-width: 34ch;
        margin-left: 0;
    }

    .hero__cta{
        background-color: #FA4616;
        color: #fff;
        font-weight: 900;
        padding: 24px;
        border-radius: 8px;
        margin-top: 32px;
        margin-left: 0;
    }

    /*
    SERVIÇOS
    */

    .servicos{
        text-align: start;
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 64px;
        margin-top: 160px;
    }

    .servicos__imagem{
        width: 448px;
        height: 448px;
    }

    .servicos__titulo{
        font-size: 56px;
        margin-top: 0px;
        margin-bottom: -10px;
        text-align: start
    }

    .servicos__lista{
        justify-content: flex-start;
        margin-top: 40px;
    }
    
    .servicos__item{
        flex-basis: calc((624px - 32px) / 2);
    }
    
    .servicos__servico{
        justify-content: flex-start;
    }

    .servicos__icone{
        height: 40px;
    }
    
    .servicos__nome{
        font-size: 32px;
    }

    .manutencao{
        max-width: 24ch;
    }

    .reparo{
        max-width: 24ch;
    }

    /*
    BENEFICIOS
    */

    .beneficios__lista{
        gap: 48px
    }

    .beneficio__icone{
        height: 40px;
    }

    .beneficio__nome{
        font-size: 32px;
    }

    .beneficio__descricao{
        margin-top: 16px;
    }
    
    /*
    FEEDBACK
    */
    
    .depoimentos__icone{
        width: 40px !important;
    }

    /*
    CTA
    */

    .cta{
        padding-top: 200px;
        padding-bottom: 200px;
        margin-top: 160px;
    }

    .cta__subtitulo{
        margin-bottom: -14px;
    }

    .cta__titulo{
        font-size: 56px;
        line-height: 64px;
    }  
    
}

/*1200px BREAKING POINT*/
@media (min-width: 1400px){
    
    /*
    GERAL
    */
    
    .container{
        max-width: 1400px;
    }
    
    /*
    HERO
    */

    .hero{
        min-height: 800px;
        max-height: 1080px;
    }

    .hero__bg{
        min-height: 800px;
        max-height: 1080px;
    }

    .hero__titulo{
        font-size: 64px;
        line-height: 72px;
        margin-bottom: -18px;
        margin-top: 100px;
    }

    .hero__descricao{
        margin-top: 24px;
        max-width: 46ch
    }

    /*
    SERVIÇOS
    */

    .servicos__imagem{
        width: 560px;
        height: 560px;
    }
    
    .servicos__item{
        flex-basis: calc((712px - 32px) / 2);
    }
    
    .servicos__descricao{
        max-width: 100%;
    }

    /*
    BENEFICIOS
    */

    .beneficios__item{
        max-width: calc((1336px - 96px) / 4);
    }
    
    .beneficio__descricao{
        max-width: 100%;
    }
    
    .beneficios__lista{
        gap: 32px
    }
    
    #descricao__pagamento{
        max-width: 24ch;
    }
    
    #descricao__saude{
        max-width: 25ch;
    } 

    /*
    RODAPE
    */
    
    .rodape__conteudo{
        display: flex;
        flex-direction: row-reverse;
        align-items: center;
        justify-content: space-between
    }

    .rodape__item{
        width: 150px;
    }    

}


























